package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxFloatingLayer;
import com.iformall.domain.vo.WxFloatingLayerVO;

/**
 * @author gongbiao
 */
public interface WxFloatingLayerService {

    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageInfo<WxFloatingLayerVO> listAsPage(WxFloatingLayer record, Integer pageIndex, Integer pageSize);

    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxFloatingLayer getById(Long id);

    /**
     * 保存或更新实体
     *
     * @param record
     */
    ResultData saveOrUpdate(WxFloatingLayer record);


    ResultData updateStatus(WxFloatingLayer wxFloatingLayer);

}
